import java.util.ArrayList;

public class Student {
  
  private String name;
  private ArrayList<Assignment> work;
  private double overallGrade;
  
  public Student(String name){
    this.name = name;
    work = new ArrayList<Assignment>();
    setGrade();
    
  }
  
  public void addAssignment(Assignment a){
    work.add(a);
    setGrade();
  }
  
  
  
  public void setGrade(){
    
    double sum = 0.0;
    for(Assignment a : work){
      sum += a.getScore();
    }
    overallGrade = sum / work.size();
  }
  
  public double getGrade(){
    return overallGrade;
  }
  
  
  public String toString(){
    
    String s = "";
    s += "Student Name: " + name + "\nAssignments:\n";
    for(Assignment a : work){
      s += a + "\n";
    }
    s += "Grade: " + overallGrade;
    
    return s;
    
  }
}
  
  